GetClusterNodeLabelsResponse (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetClusterNodeLabelsResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetClusterNodeLabelsResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeLabelsResponse

@Public @Evolving public abstract class GetClusterNodeLabelsResponse extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetClusterNodeLabelsResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract List<NodeLabel>`
  `getNodeLabelList()`
  `abstract Set<String>`
  `getNodeLabels()`
  Deprecated.
  Use `getNodeLabelList()` instead.
  `static GetClusterNodeLabelsResponse`
  `newInstance(List<NodeLabel> labels)`
  `static GetClusterNodeLabelsResponse`
  `newInstance(Set<String> labels)`
  Deprecated.
  Use `newInstance(List)` instead.
  `abstract void`
  `setNodeLabelList(List<NodeLabel> labels)`
  `abstract void`
  `setNodeLabels(Set<String> labels)`
  Deprecated.
  Use `setNodeLabelList(List)` instead.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetClusterNodeLabelsResponse

    public GetClusterNodeLabelsResponse()

- ## Method Details

  - ### newInstance

    @Deprecated public static GetClusterNodeLabelsResponse newInstance(Set<String> labels)
    Deprecated.
    Use `newInstance(List)` instead.
    Creates a new instance.
    Parameters:
      `labels` - Node labels
    Returns:
      response

  - ### newInstance

    public static GetClusterNodeLabelsResponse newInstance(List<NodeLabel> labels)

  - ### setNodeLabelList

    public abstract void setNodeLabelList(List<NodeLabel> labels)

  - ### getNodeLabelList

    public abstract List<NodeLabel> getNodeLabelList()

  - ### setNodeLabels

    @Deprecated public abstract void setNodeLabels(Set<String> labels)
    Deprecated.
    Use `setNodeLabelList(List)` instead.
    Set node labels to the response.
    Parameters:
      `labels` - Node labels

  - ### getNodeLabels

    @Deprecated public abstract Set<String> getNodeLabels()
    Deprecated.
    Use `getNodeLabelList()` instead.
    Get node labels of the response.
    Returns:
      Node labels